## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - e -

- EffectParticles() : iParticleEffector
- Element() : csHash< T, K, ArrayMemoryAlloc >::Element
- EmitParticles() : iParticleEmitter
- Empty() : iStringSet, iStringArray, iString, iArrayChangeAll< T >, csStringSet, csStringHash, csSet< T, Allocator >, csScfStringSet, scfStringArray, scfString, scfArrayWrap< IF, Backend >, scfArray< IF, Backend >, csRedBlackTreeMap< K, T >, csRedBlackTree< K >, csMemoryPool, csHash< T, K, ArrayMemoryAlloc >, csFixedSizeAllocator< Size, Allocator >, csStringBase, csBlockAllocator< T, Allocator, ObjectDispose >, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >, csRenderMeshList, csBox3, csBox2
- Enable() : iRigidBody
- EnableAutoDisable() : iODEDynamicSystemState, iDynamicSystem
- EnableCrashMinidumps() : cswinMinidumpWriter
- Enabled() : iVerbosityManager, csVerbosityManager, csVerbosityParser
- EnableEventProcessing() : iODEDynamicState
- EnableEvents() : iEventPlug
- EnableFastObjects() : iODEDynamicSystemState, iODEDynamicState
- EnableFrameRate() : iODEDynamicSystemState, iODEDynamicState
- EnableHitMeshes() : csColliderActor
- EnableStepFast() : iODEDynamicSystemState, iODEDynamicState
- EnableTweening() : iSprite3DState, iSprite3DFactoryState
- EnableZOffset() : iGraphics3D
- Encode() : csUnicodeTransform, csMD5
- EncodeUTF16() : csUnicodeTransform
- EncodeUTF32() : csUnicodeTransform
- EncodeUTF8() : csUnicodeTransform
- End() : csColorQuantizer, csSegment3, csSegment2
- Enqueue() : iJobQueue, csThreadJobQueue
- EnsureImage() : csImageMemory
- Entry() : csPathsList::Entry
- Enumerate() : iConfigFile, csWin32RegistryConfig, csConfigManager, csConfigFile, csConfigDocument
- eq() : csRGBpixel
- Equal() : csRect
- Equals() : iDocumentNode
- Erase() : csProgressPulse
- Evaluate() : csShaderExpression
- Exclude() : csRectRegion, csRect
- ExecCommand() : iBugPlug
- Execute() : iODEFrameUpdateCallback, iDynamicsCollisionCallback, iConsoleExecCallback, iSkeleton, iSkeletonUpdateCallback, iSkeletonScriptCallback, iGenMeshAnimationControlState
- Exists() : iVFS
- Exp() : csQuaternion
- ExpandAll() : csPathsUtilities
- ExpandIfNeeded() : csStringBase
- ExpandPath() : iVFS, csPathsUtilities
- Extend() : csRect
- ExtendConvex() : csPoly2D
- Extract() : csPDelArray< T >